Bug 98558 - umount -f doesn't work if remote system is down
Summary: umount -f doesn't work if remote system is down
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-03 17:48 UTC by Need Real Name
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 19:22:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-07-03 17:48:09 UTC
Description of problem:
If a remote NFS server is down, "umount -f" doesn't work.

Version-Release number of selected component (if applicable):


How reproducible:
Always, I think.

Steps to Reproduce:
1. Mount an NFS file system using options rw,bg,hard
2. Disconnect or stop the remote server
3. On the NFS client system, try to unmount the filesystem using "unmount -f"
    
Actual results:
Cannot MOUNTPROG RPC: RPC: Port mapper failure - RPC: Unable to receive


Expected results:
umount should work.

Additional info:

Comment 1 Elliot Lee 2003-07-22 16:32:52 UTC
Does this happen with RHL9? How about if you soft-mount it instead?

Comment 2 Elliot Lee 2004-08-20 18:48:02 UTC
Steve, if this looks familiar can you comment on it? If it's not,
please just close it out as it's a really old bug.


Note You need to log in before you can comment on or make changes to this bug.